package com.liquidnet.common.third.zxlnft.dto.nft;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: IdentityBindQueryReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:32
 */
@Data
public class Nft016IdentityBindQueryResp implements Serializable,Cloneable {
    private List<Nft016QueryRsData> list;

    private static final Nft016IdentityBindQueryResp obj = new Nft016IdentityBindQueryResp();
    public static Nft016IdentityBindQueryResp getNew() {
        try {
            return (Nft016IdentityBindQueryResp) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft016IdentityBindQueryResp();
        }
    }

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }
}
